Subject: C version of LAPACK and multithreading

From: Mark Thompson <[email-masked]>
Date: Wed, 10 Dec 1997 22:39:25 -0800 (PST)

Has anyone tried to run any multi-threaded calculations
using CLAPACK?  While the code is fast, it appears to
very unfriendly for multithreading on Windows NT systems.
(lots of statics and externs). While making code thread-safe 
for NT is not terribly difficult, the sheer number of 
files I would have to touch and number of statics I'd 
have to edit just for the matrix diagonalization routines 
alone feels prohibitive to me.

Are there any C-versions of EISPACK floating around 
out there? (before I try f2c myself).

Any experiences by others along these lines (and 
solutions) would be welcome.

Mark Thompson